gstreamer1.0-plugins-good_1.14.0-1ubuntu1_i386.deb


Advertisement

Description

gstreamer1.0-plugins-good - GStreamer plugins from the "good" set

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main i386
Package filename gstreamer1.0-plugins-good_1.14.0-1ubuntu1_i386.deb
Package name gstreamer1.0-plugins-good
Package version 1.14.0
Package release 1ubuntu1
Package architecture i386
Package type deb
Category libs
Homepage http://gstreamer.freedesktop.org/modules/gst-plugins-good.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.62 MB
Installed size 6.21 MB
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.  Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.
This package contains the GStreamer plugins from the "good" set, a set
of good-quality plug-ins under the LGPL license.

Alternatives

Package Version Architecture Repository
gstreamer1.0-plugins-good_1.14.5-0ubuntu1~18.04.1_i386.deb 1.14.5 i386 Ubuntu Updates Main
gstreamer1.0-plugins-good_1.14.5-0ubuntu1~18.04.1_amd64.deb 1.14.5 amd64 Ubuntu Updates Main
gstreamer1.0-plugins-good_1.14.0-1ubuntu1_amd64.deb 1.14.0 amd64 Ubuntu Main
gstreamer1.0-plugins-good - - -

Requires

Name Value
gstreamer1.0-plugins-base -
libaa1 >= 1.4p5
libavc1394-0 >= 0.5.3
libbz2-1.0 -
libc6 >= 2.17
libcaca0 >= 0.99.beta17-1
libcairo-gobject2 >= 1.10.0
libcairo2 >= 1.10.0
libdv4 >= 1.0.0
libflac8 >= 1.3.0
libgcc1 >= 1:3.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.43.2
libgstreamer-plugins-base1.0-0 >= 1.14.0
libgstreamer-plugins-good1.0-0 = 1.14.0-1ubuntu1
libgstreamer1.0-0 >= 1.14.0
libgudev-1.0-0 >= 146
libiec61883-0 >= 1.2.0
libjack-0.125 -
libjack-jackd2-0 >= 1.9.10+20150825
libjpeg8 >= 8c
libmp3lame0 >= 3.100
libmpg123-0 >= 1.13.7
liborc-0.4-0 >= 1:0.4.25
libpng16-16 >= 1.6.2-1
libraw1394-11 -
libshout3 >= 2.2.2
libsoup2.4-1 >= 2.48
libspeex1 >= 1.2~beta3-1
libstdc++6 >= 5
libtag1v5 >= 1.9.1-2.2~
libtwolame0 >= 0.3.10
libv4l-0 >= 0.5.0
libvpx5 >= 1.6.0
libwavpack1 >= 4.60
libx11-6 -
libxdamage1 >= 1:1.1
libxext6 -
libxfixes3 -
zlib1g >= 1:1.1.4

Provides

Name Value
gstreamer1.0-audiosink -
gstreamer1.0-audiosource -
gstreamer1.0-videosink -
gstreamer1.0-videosource -
gstreamer1.0-visualization -

Replaces

Name Value
gstreamer1.0-plugins-bad << 1.13.1
gstreamer1.0-plugins-ugly << 1.13.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gstreamer1.0-plugins-good_1.14.0-1ubuntu1_i386.deb
Source Package gst-plugins-good1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gstreamer1.0-plugins-good deb package:
    # sudo apt-get install gstreamer1.0-plugins-good

Files

Path
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgst1394.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstaasink.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstalaw.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstalpha.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstalphacolor.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstapetag.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstaudiofx.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstaudioparsers.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstauparse.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstautodetect.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstavi.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstcacasink.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstcairo.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstcamerabin.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstcutter.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstdebug.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstdeinterlace.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstdtmf.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstdv.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgsteffectv.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstequalizer.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstflac.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstflv.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstflxdec.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstgdkpixbuf.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstgoom.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstgoom2k1.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgsticydemux.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstid3demux.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstimagefreeze.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstinterleave.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstisomp4.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstjack.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstjpeg.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstjpegformat.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstlame.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstlevel.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstmatroska.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstmonoscope.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstmpg123.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstmulaw.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstmultifile.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstmultipart.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstnavigationtest.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstoss4.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstossaudio.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstpng.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstreplaygain.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstrtp.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstrtpmanager.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstrtsp.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstshapewipe.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstshout2.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstsmpte.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstsoup.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstspectrum.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstspeex.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgsttaglib.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgsttwolame.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstudp.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstvideo4linux2.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstvideobox.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstvideocrop.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstvideofilter.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstvideomixer.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstvpx.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstwavenc.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstwavpack.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstwavparse.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstximagesrc.so
/usr/lib/i386-linux-gnu/gstreamer-1.0/libgsty4menc.so
/usr/share/doc/gstreamer1.0-plugins-good/AUTHORS
/usr/share/doc/gstreamer1.0-plugins-good/NEWS.gz
/usr/share/doc/gstreamer1.0-plugins-good/README.Debian
/usr/share/doc/gstreamer1.0-plugins-good/README.gz
/usr/share/doc/gstreamer1.0-plugins-good/changelog.Debian.gz
/usr/share/doc/gstreamer1.0-plugins-good/copyright
/usr/share/gstreamer-1.0/presets/GstIirEqualizer10Bands.prs
/usr/share/gstreamer-1.0/presets/GstIirEqualizer3Bands.prs
/usr/share/gstreamer-1.0/presets/GstQTMux.prs
/usr/share/gstreamer-1.0/presets/GstVP8Enc.prs

Changelog

2018-03-21 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.14.0-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable; remaining changes:
+ Import plugins from -bad that are needed for main applications.
- jpegformat
- camerabin (+ basecamerabinsrc + photography)
+ Break and Replace -bad versions which contained these plugins.
+ Add a library package containing the shared library and a -dev package for
compiling against it. Add Breaks and Replaces against the plugins packages
which formerly contained files shipped here.
+ Add 'pluginsdir' variable to our added pcfile for compatibility with
some external software
+ debian/control{,.in}: Update Vcs-* for Ubuntu
2018-03-20 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.14.0-1) unstable; urgency=medium
* New upstream stable release.
2018-03-15 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.13.91-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable; remaining changes:
+ Import plugins from -bad that are needed for main applications.
- jpegformat
- camerabin (+ basecamerabinsrc + photography)
+ Break and Replace -bad versions which contained these plugins.
+ Add a library package containing the shared library and a -dev package for
compiling against it. Add Breaks and Replaces against the plugins packages
which formerly contained files shipped here.
+ Add 'pluginsdir' variable to our added pcfile for compatibility with
some external software
+ debian/control{,.in}: Update Vcs-* for Ubuntu
2018-03-14 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.13.91-1) experimental; urgency=medium
* New upstream release candidate.
2018-03-04 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.13.90-1) experimental; urgency=medium
* New upstream release candidate.
2018-03-01 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.13.1-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable; remaining changes:
+ Import plugins from -bad that are needed for main applications.
- jpegformat
- camerabin (+ basecamerabinsrc + photography)
+ Break and Replace -bad versions which contained these plugins.
+ Add a library package containing the shared library and a -dev package for
compiling against it. Add Breaks and Replaces against the plugins packages
which formerly contained files shipped here.
+ Add 'pluginsdir' variable to our added pcfile for compatibility with
some external software
+ debian/control{,.in}: Update Vcs-* for Ubuntu
* debian/patches/import-camerabin: Refresh from -bad.
2018-02-17 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.13.1-1) experimental; urgency=medium
* New upstream development release.
* debian/build-deps.in,
debian/control.in:
+ Build-depend on GTK and Qt for the QML and GTK plugins and put them into
their own binary package.
* debian/build-deps.in,
debian/control.in,
debian/gstreamer-plugins-good.install:
+ Build-depend on LAME, mpg123 and twolame and add Conflicts/Replaces as
needed for gst-plugins-ugly from where the plugins moved.
2018-02-27 - Jeremy Bicha <jbicha@ubuntu.com>
gst-plugins-good1.0 (1.12.4-1ubuntu2) bionic; urgency=medium
* No-change rebuild against latest vpx

See Also

Package Description
gstreamer1.0-pulseaudio_1.14.0-1ubuntu1_i386.deb GStreamer plugin for PulseAudio
gstreamer1.0-tools_1.14.0-1_i386.deb Tools for use with GStreamer
gstreamer1.0-x_1.14.0-2ubuntu1_i386.deb GStreamer plugins for X11 and Pango
gtk-3-examples_3.22.30-1ubuntu1_i386.deb example files for GTK+ 3
gtk-im-libthai_0.2.1-8_i386.deb GTK+ 2 Input Method Module using LibThai
gtk-update-icon-cache_3.22.30-1ubuntu1_i386.deb icon theme caching utility
gtk2-engines-murrine_0.98.2-2ubuntu1_i386.deb cairo-based gtk+-2.0 theme engine
gtk2-engines-pixbuf_2.24.32-1ubuntu1_i386.deb pixbuf-based theme for GTK+ 2.x
gtk2.0-examples_2.24.32-1ubuntu1_i386.deb example files for GTK+ 2.0
gtkmm-documentation_3.22.0-2_all.deb Documentation of C++ wrappers for GLib/GTK+
guile-2.0-dev_2.0.13+1-5build2_i386.deb Development files for Guile 2.0
guile-2.0-doc_2.0.13+1-5build2_all.deb Documentation for Guile 2.0
guile-2.0-libs_2.0.13+1-5build2_i386.deb Core Guile libraries
guile-2.0_2.0.13+1-5build2_i386.deb GNU extension language and Scheme interpreter
gutenprint-doc_5.2.13-2_all.deb users' guide for Gutenprint and CUPS
Advertisement
Advertisement